<?php

namespace WHMCS\Module\Addon\ProxyCheap\Commands;

use WHMCS\Module\Addon\ProxyCheap\AbstractCommand;
use WHMCS\Module\Addon\ProxyCheap\API;

class AddBandwidth extends AbstractCommand
{
    public function post()
    {
        $api = new API();
        $request = $api->setKey($this->params['apikey'])
            ->setSecret($this->params['apisecret'])
            ->setHeaders()
            ->executePOST('proxies/'.$this->input['id'].'/buy-bandwidth', $this->input);
        return $request;
    }
}
